[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# wexitStatus

Extract the exit status from the fpWaitPID result.

## Declaration

Source position: bunxovlh.inc line 94

`function wexitStatus(`
`Status: cint`
`):cint;`

## Description

WEXITSTATUS can be used to extract the exit status from Status, the result of the FpWaitPID call.

## See also

FpWaitPID |  | Wait for a process to terminate
WTERMSIG |  | Return the signal that caused a process to exit.
WSTOPSIG |  | Return the exit code from the process.
WIFEXITED |  | Check whether the process exited normally
WIFSIGNALED |  | Check whether the process was exited by a signal.